Skip to content

Campaigns ​

This page documents on how to:

Fetch campaigns ​

Fetch a list of campaigns broadcasted on your Jobboard.

Scope ​

campaigns_read

Endpoint ​

http
GET /jobboards/campaigns

Open in Postman

The payload in this endpoint is paginated. Information will be provided in the headers.

Consult the guide for pagination

Accepted params ​

All parameters should be in the querystring.

ParamTypeExample ValueDefaultDescription
company_idInteger1nullOnly returns campaigns from this Company (can be replaced by company_slug)
company_slugStringmy-awesome-companynullOnly returns campaigns from this Company (can be replaced by company_id)
embedStringaddressnullWanted embedded data, separated with comas. Available values: [address,entity,public_tags]
entity_idInteger1nullOnly returns campaigns from this Entity (formely designated as a Brand)
orderStringcreated_atcreated_atChosen field for ordering the data. Available values: [created_at,last_activation_at,name]
sortStringdescdescWay of sorting the data. Available values: [asc,desc]
pageInteger11Page to fetch
per_pageInteger5050Quantity of data by page (max value is 50)

Params will be ignored if empty.

Embedded data ​

In this endpoint, embedded data can be requested:

  • address: Job offer Address
  • entity: A Campaign can optionally take its identity from an Entity (formely designated as a Brand)
  • public_tags: Campaign categories

Examples ​

Find all campaigns from a company with id 44
http
GET https://api.talentview.fr/v2/jobboards/campaigns?company_id=44

View response example

Fetch campaign ​

Fetch a specific Campaign broadcasted on your Jobboard from its id.

Scope ​

campaigns_read

Endpoint ​

http
GET /jobboards/campaigns/:id

Open in Postman

Accepted params ​

ParamTypeExample ValueDefaultDescription
idInteger1nullIn the path, id of the Campaign to fetch
embedStringaddressnullIn the querystring, wanted embedded data, separated with comas. Available values: [address,entity,public_tags]

Embedded data ​

In this endpoint, embedded data can be requested:

  • address: Job offer Address
  • entity: A Campaign can optionally take its identity from an Entity (formely designated as a Brand)
  • public_tags: Campaign categories

Examples ​

Retrieve all the data avalaible for a campaign.
http
GET https://api.talentview.fr/v2/jobboards/campaigns/42?embed=address,entity,public_tags

View response example

Jobboard documentation for the Kelio ATS API